EXETOOLS FORUM  

Go Back   EXETOOLS FORUM > General > Community Tools

Notices

Reply
 
Thread Tools Display Modes
  #1  
Old 06-05-2014, 09:31
computerline computerline is offline
Friend
 
Join Date: Jun 2014
Posts: 54
Rept. Given: 40
Rept. Rcvd 26 Times in 10 Posts
Thanks Given: 83
Thanks Rcvd at 64 Times in 30 Posts
computerline Reputation: 26
IDA Pyside Qt 4.8.6

This's my build Pyside for IDA, with Qt 4.8.6 and Python 2.7

Code:
https://mega.co.nz/#!dJMHmaZS!D0pykdvGvSIV9swfCICecMrROmKtQ6vcmuM0Gq_u8MQ
Reply With Quote
The Following 10 Users Gave Reputation+1 to computerline For This Useful Post:
ahmadmansoor (06-11-2014), bukkake (06-06-2014), DMichael (06-05-2014), hacnho (06-05-2014), kienmanowar (06-11-2014), nikkapedd (06-07-2014), quygia128 (06-05-2014), Storm Shadow (06-05-2014), TechLord (06-05-2014)
  #2  
Old 06-05-2014, 13:34
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
Since ida maximun uses QT 4.8.1 this build works on 6.1 and demo 6.2 / 6.3 / 6.4 / 6.5
Nice work
Reply With Quote
  #3  
Old 06-11-2014, 02:10
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
I builded IDA SKIN based on your Version off QT 4.8.6
IDA QT SKIN

Based on the source https://github.com/athre0z/ida-skins

and total hell to build (QT)

brings ida style into 2014

http://i.imgur.com/7Wzy83r.png


nice round buttoms, and nice fonts.

http://i.imgur.com/bLcAyri.png

builded with QT 4.8.6

for ida 6.1

Put Stylesheet.css in root folder rest in plugin folder.

NP!! this is for ida 6.1 if you need other version let me know.
IDA 6.4 support load off styles so its only for pre 6.4

QT Needed.
Attached Files
File Type: rar idaskin_61.rar (9.0 KB, 6 views)
Reply With Quote
The Following 3 Users Gave Reputation+1 to Storm Shadow For This Useful Post:
ahmadmansoor (06-11-2014), computerline (06-11-2014), quygia128 (06-18-2014)
  #4  
Old 06-11-2014, 03:55
ahmadmansoor's Avatar
ahmadmansoor ahmadmansoor is offline
Exetools Team Manager
 
Join Date: Feb 2006
Location: Syria
Posts: 979
Rept. Given: 454
Rept. Rcvd 351 Times in 129 Posts
Thanks Given: 140
Thanks Rcvd at 121 Times in 33 Posts
ahmadmansoor Reputation: 300-399 ahmadmansoor Reputation: 300-399 ahmadmansoor Reputation: 300-399 ahmadmansoor Reputation: 300-399
Lol we have a good IDA player here ,keep on .
@computerline : can u make it automatic install -hehe to lazy
@Storm Shadow: can u explain the step's to make it work for IDA 6.4 ,and did I need QT 4.8.6 on my pc to make it work ?
__________________
Ur Best Friend Ahmadmansoor
Always My Best Friend: Aaron & JMI & ZeNiX
Reply With Quote
The Following User Gave Reputation+1 to ahmadmansoor For This Useful Post:
Storm Shadow (06-11-2014)
  #5  
Old 06-11-2014, 04:25
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
Quote:
PySide package build for IDA with QT4.8.6 for Windows

--- Install ---

1. run PySide-1.0.8qt486.win32-py2.7.exe
2. copy site-packages folder to C:\Python27\Lib\ and overwrite it
3. Copy all *.dll file in depends to IDA bin folder
4. Set Environment Variables PYTHONPATH=C:\Python27\Lib\site-packages
5. Python test script is in test-scripts folder

----------------

Good luck !
there is a installer but you would have to follow these steps.

in addition you need QT also build for ida (Also made by Computerline)

link chrome://mega/content/secure.html#F!IN0TCAKD!dGZdKOL1OiNVjeDqz4GzvA

just run the installer dosent matter if its 4.8.5

Run python scripts(see below) iwithin idapro to see if its installed proberly.

Quote:
@Storm Shadow: can u explain the step's to make it work for IDA 6.4 ,and did I need QT 4.8.6 on my pc to make it work ?
i can make a build for ida 6.4 if you need, but 6.4 does support color (clr files)
load from color options.

see here
https://github.com/eugeneching/ida-consonance
Attached Files
File Type: rar PYQT_PYSIDE_CALL.rar (846 Bytes, 11 views)
Reply With Quote
  #6  
Old 06-11-2014, 05:12
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
I dont have these ida versions but i build for 6.3 and 6.4
Put in plugin folder and stylesheet in ida root folder.
load ida as normal.
it changes when, you load a file within ida pro.
Attached Files
File Type: rar IDASkins_63.rar (9.0 KB, 8 views)
File Type: rar IDASkins64.rar (9.0 KB, 7 views)
Reply With Quote
  #7  
Old 10-20-2014, 04:35
mayaputra mayaputra is offline
Friend
 
Join Date: Jan 2010
Posts: 13
Rept. Given: 5
Rept. Rcvd 0 Times in 0 Posts
Thanks Given: 2
Thanks Rcvd at 1 Time in 1 Post
mayaputra Reputation: 0
Quote:
Originally Posted by computerline View Post
This's my build Pyside for IDA, with Qt 4.8.6 and Python 2.7

Code:
https://mega.co.nz/#!dJMHmaZS!D0pykdvGvSIV9swfCICecMrROmKtQ6vcmuM0Gq_u8MQ
I can't access this, do you have another link?
Reply With Quote
  #8  
Old 10-20-2014, 21:15
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
Quote:
Originally Posted by mayaputra View Post
I can't access this, do you have another link?
Remember this one is for Ida PRo 6.1 / 6.2 / 6.3 /6.4

for Ida Pro 6.5 and above @Computerline build this one

http://forum.exetools.com/showthread.php?t=16101
__________________
The devil whispered in my ear, "you're not strong enough to withstand the storm."

Today I whispered in the devils ear, "I am the storm."
Reply With Quote
The Following User Gave Reputation+1 to Storm Shadow For This Useful Post:
mayaputra (10-21-2014)
  #9  
Old 10-21-2014, 10:44
mayaputra mayaputra is offline
Friend
 
Join Date: Jan 2010
Posts: 13
Rept. Given: 5
Rept. Rcvd 0 Times in 0 Posts
Thanks Given: 2
Thanks Rcvd at 1 Time in 1 Post
mayaputra Reputation: 0
I'm looking for IDA 6.1, the thread you are refering to is for 6.5.
I have installed python-2.7.8. When I install PySide-1.0.8qt486.win32-py2.7, the last dialog of the installer shows message "The PySide extensions were not installed!".
So I installed PyQt4-4.11.1-gpl-Py2.7-Qt4.8.6-x32, and then install PySide again, and still the same message. any thought what did i do wrong?
Reply With Quote
  #10  
Old 10-21-2014, 14:35
Storm Shadow's Avatar
Storm Shadow Storm Shadow is offline
Family
 
Join Date: Jun 2014
Posts: 274
Rept. Given: 189
Rept. Rcvd 191 Times in 78 Posts
Thanks Given: 131
Thanks Rcvd at 205 Times in 70 Posts
Storm Shadow Reputation: 100-199 Storm Shadow Reputation: 100-199
you have to follow the tut that @computerline made, and copy the library files from
sitepackages to ida folder. to make it work.
You cant install the ordenary PySide, you have to install custom build With QT namespace
__________________
The devil whispered in my ear, "you're not strong enough to withstand the storm."

Today I whispered in the devils ear, "I am the storm."
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
PyQt And PySide App caller for Ida Pro Storm Shadow Source Code 0 01-10-2015 22:15


All times are GMT +8. The time now is 12:55.


��ICP��05004977��
Always Your Best Friend: Aaron, JMI, ahmadmansoor, ZeNiX